<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="false"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log" >

  <targets>
		<target name="debugLogger" xsi:type="File" fileName="${basedir}/../logs/MileageTraker.Debug.${shortdate}.txt" />
		<target name="exceptionLogger" xsi:type="File" fileName="${basedir}/../logs/MileageTraker.Error.${shortdate}.txt" />
  </targets>

  <rules>
		<logger name="Hangfire.*" minlevel="Debug" maxlevel="Info" final="true"/>
		<logger name="*" minlevel="Debug" writeTo="debugLogger"/>
		<logger name="*" minlevel="Error" writeTo="exceptionLogger" />
  </rules>
</nlog>